---
title: "List Payout Method Types"
source_url: https://docs.rapyd.net/en/list-payout-method-types.html
lang: en
---

# List Payout Method Types

Retrieve a list of payout method types that you can use when creating a payout. The response returns one payout method type for each supported beneficiary country with the supported payout currencies.

The response contains a list of objects. Each object includes a payout method type and its attributes.

> **Note:**
>
> - The two-letter prefix of the payout method type matches the beneficiary country code.
> - This endpoint replaces the deprecated endpoints `GET /v1/payouts/supported_types` and `GET /v1/payouts/payout_methods`.
>
>   Rapyd no longer supports the deprecated endpoints.
> - The code samples include successful requests (200) and bad requests (400).
>
>   - For error messages that appear due to bad requests (400), see:
>
>     - [General Errors](https://docs.rapyd.net/en/general-errors.md "General Errors")
>     - [Payout Errors](https://docs.rapyd.net/en/payout-errors.md "Payout Errors")
>   - For information about unauthorized request (401) and other authentication errors, see [Troubleshooting Authentication and Authorization Errors](https://docs.rapyd.net/en/troubleshooting-authentication-and-authorization-errors.md "Troubleshooting Authentication and Authorization Errors").

### Parameters

### Request Query Parameters

- - beneficiary_country
  - Country of the beneficiary. Two-letter ISO 3166-1 ALPHA-2 code.
- - beneficiary_entity_type
  - Filters the type of entity for the beneficiary. One of the following:

    - **company**
    - **individual**
- - category
  - The category of payout method type. One of the following:

    - **bank**
    - **card**
    - **cash**
    - **ewallet** - Local eWallet (non-Rapyd)
    - **rapyd_ewallet** - Rapyd wallet.
- - is_cancelable
  - Indicates whether the payout can be canceled.

    Relevant when `category` is **cash**.
- - is_expirable
  - Indicates whether the payout expires if not completed.

    Relevant when `category` is **cash**.
- - is_location_specific
  - Indicates whether the payout must be made at a specific physical location.

    Relevant when `category` is **cash**.
- - payout_currency
  - Currency received by the beneficiary. Three-letter ISO 4217 code.
- - sender_country
  - Country of the sender. Two-letter ISO 3166-1 ALPHA-2 code.
- - sender_currency
  - Currency that the sender is paying with. Three-letter ISO 4217 code.
- - sender_entity_type
  - Filters the type of entity for the sender. One of the following:

    - **company**
    - **individual**

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - amount_range_per_currency
  - An array of objects that describe limits on the amount, per currency. Each object contains the following fields:

    - - maximum_amount
      - Maximum amount supported by this payout method for the indicated currency. Decimal.
    - - minimum_amount
      - Minimum amount supported by this payout method for the indicated currency. Decimal.
    - - payout_currency
      - Currency of the payout. Three-letter ISO 4217 code.
- - beneficiary_country
  - Country of the beneficiary. Two-letter ISO 3166-1 ALPHA-2 code.
- - beneficiary_entity_types
  - A list of the beneficiary entity types supported by this payout method. Array of strings. One or more of the following:

    - **company**
    - **individual**
- - category
  - The category of payout method type. One of the following:

    - **bank**
    - **card**
    - **cash**
    - **ewallet** - Local eWallet (non-Rapyd)
    - **rapyd_ewallet** - Rapyd wallet.
- - image
  - URL of an image that the merchant can use to represent the payout method.
- - is_cancelable
  - Indicates whether the payout can be canceled. Relevant when `category` is **cash**.
- - is_expirable
  - Indicates whether the payout expires if not completed. Relevant when `category` is **cash**.
- - is_location_specific
  - Indicates whether the payout must be made at a specific physical location. Relevant when `category` is **cash**.
- - maximum_expiration_seconds
  - The maximum time (in seconds) that the merchant can set for completing the payout. Relevant when `is_expirable` is **true**.
- - minimum_expiration_seconds
  - The minimum time (in seconds) that the merchant can set for completing the payout. Relevant when `is_expirable` is **true**.
- - name
  - Payout method name.
- - payout_currencies
  - A list of the currencies supported by this payout method. Array of strings. Three-letter ISO 4217 code.
- - payout_method_type
  - The type of payout method. The two-letter prefix must match the beneficiary country code.
- - sender_currencies
  - List of currencies that the sender is paying with. Array of strings. Three-letter ISO 4217 code.
- - sender_entity_types
  - A list of the sender entity types supported by this payout method. Array of strings. One or more of the following:

    - **company**
    - **individual**
- - status
  - Indicates whether the payout method is currently available. One of the following values:

    - **0** - Not available.
    - **1** - Available.
- - estimated_time_of_arrival
  - The estimated time period in which the beneficiary will receive the funds.

    > **Note:**
    >
    > Rapyd will try to complete the payout within the estimated time. However, completion of a payout can be delayed for legal or other reasons.

- /v1/payout_method_types

- List Payout Method Types - Payout Currency Specified
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/payout_method_types?payout_currency=USD' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "139c21fc-1b12-4f48-81a1-d8894b37c566"
      },
      "data": [
          {
              "payout_method_type": "th_ach_bank",
              "name": "Local transfer to Thailand",
              "is_cancelable": 0,
              "is_expirable": 0,
              "is_location_specific": 0,
              "status": 1,
              "image": "/checkout/th_ach_bank.png",
              "category": "bank",
              "beneficiary_country": "th",
              "sender_country": "*",
              "payout_currencies": [
                  "THB"
              ],
              "sender_entity_types": [
                  "company"
              ],
              "beneficiary_entity_types": [
                  "company",
                  "individual"
              ],
              "amount_range_per_currency": [
                  {
                      "maximum_amount": null,
                      "minimum_amount": null,
                      "payout_currency": "THB"
                  }
              ],
              "minimum_expiration_seconds": null,
              "maximum_expiration_seconds": null,
              "sender_currencies": [
                  "USD",
                  "SGD",
                  "SEK",
                  "NZD",
                  "NOK",
                  "JPY",
                  "HKD",
                  "GBP",
                  "EUR",
                  "DKK",
                  "CHF",
                  "CAD",
                  "AUD"
              ],
              "estimated_time_of_arrival": "An estimated receipt time is not yet available for this payout method."
          },
          {
              "payout_method_type": "th_bangkokbank_bank",
              "name": "BANGKOK BANK",
              "is_cancelable": 0,
              "is_expirable": 0,
              "is_location_specific": 0,
              "status": 1,
              "image": "/checkout/th_bangkokbank_bank.png",
              "category": "bank",
              "beneficiary_country": "th",
              "sender_country": "*",
              "payout_currencies": [
                  "THB"
              ],
              "sender_entity_types": [
                  "company",
                  "individual"
              ],
              "beneficiary_entity_types": [
                  "company",
                  "individual"
              ],
              "amount_range_per_currency": [
                  {
                      "maximum_amount": 500000,
                      "minimum_amount": 50,
                      "payout_currency": "THB"
                  }
              ],
              "minimum_expiration_seconds": null,
              "maximum_expiration_seconds": null,
              "sender_currencies": [
                  "USD",
                  "SGD",
                  "NZD",
                  "JPY",
                  "HKD",
                  "GBP",
                  "CAD",
                  "AUD"
              ],
              "estimated_time_of_arrival": "An estimated receipt time is not yet available for this payout method."
          }
      ]
  }
  ```

- List Payout Method Types - Multiple Query Filters
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/payout_method_types?beneficiary_country=MX&payout_currency=MXN' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "9ea1d171-957e-4305-a86a-6c6cf43d542a"
      },
      "data": [
          {
              "payout_method_type": "mx_abc_capital_bank",
              "name": "UALA",
              "is_cancelable": 0,
              "is_expirable": 0,
              "is_location_specific": 0,
              "status": 1,
              "image": "/checkout/mx_abc_capital_bank.png",
              "category": "bank",
              "beneficiary_country": "mx",
              "sender_country": "*",
              "payout_currencies": [
                  "MXN"
              ],
              "sender_entity_types": [
                  "company"
              ],
              "beneficiary_entity_types": [
                  "company",
                  "individual"
              ],
              "amount_range_per_currency": [
                  {
                      "maximum_amount": 999999999,
                      "minimum_amount": 1,
                      "payout_currency": "MXN"
                  }
              ],
              "minimum_expiration_seconds": null,
              "maximum_expiration_seconds": null,
              "sender_currencies": [
                  "USD",
                  "MXN",
                  "GBP",
                  "EUR"
              ],
              "estimated_time_of_arrival": "An estimated receipt time is not yet available for this payout method."
          },
          {
              "payout_method_type": "mx_actinver_bank",
              "name": "Actinver",
              "is_cancelable": 0,
              "is_expirable": 0,
              "is_location_specific": 0,
              "status": 1,
              "image": "/checkout/mx_actinver_bank.png",
              "category": "bank",
              "beneficiary_country": "mx",
              "sender_country": "*",
              "payout_currencies": [
                  "MXN"
              ],
              "sender_entity_types": [
                  "company"
              ],
              "beneficiary_entity_types": [
                  "company",
                  "individual"
              ],
              "amount_range_per_currency": [
                  {
                      "maximum_amount": 999999999,
                      "minimum_amount": 1,
                      "payout_currency": "MXN"
                  }
              ],
              "minimum_expiration_seconds": null,
              "maximum_expiration_seconds": null,
              "sender_currencies": [
                  "USD",
                  "MXN",
                  "GBP",
                  "EUR"
              ],
              "estimated_time_of_arrival": "An estimated receipt time is not yet available for this payout method."
          }
      ]
  }
  ```

- List Payout Method Types - Estimated Time of Arrival
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/payout_method_types?payout_currency=NZD' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "fccd1509-cb78-47f1-994c-b1e9f2780cd6"
      },
      "data": [
          {
              "payout_method_type": "nz_ach_bank",
              "name": "Local transfer to New Zealand",
              "is_cancelable": 0,
              "is_expirable": 0,
              "is_location_specific": 0,
              "status": 1,
              "image": "/checkout/nz_ach_bank.png",
              "category": "bank",
              "beneficiary_country": "nz",
              "sender_country": "*",
              "payout_currencies": [
                  "NZD"
              ],
              "sender_entity_types": [
                  "company"
              ],
              "beneficiary_entity_types": [
                  "company",
                  "individual"
              ],
              "amount_range_per_currency": [
                  {
                      "maximum_amount": null,
                      "minimum_amount": null,
                      "payout_currency": "NZD"
                  }
              ],
              "minimum_expiration_seconds": null,
              "maximum_expiration_seconds": null,
              "sender_currencies": [
                  "USD",
                  "SGD",
                  "SEK",
                  "NZD",
                  "NOK",
                  "JPY",
                  "HKD",
                  "GBP",
                  "EUR",
                  "DKK",
                  "CHF",
                  "CAD",
                  "AUD"
              ],
              "estimated_time_of_arrival": "An estimated receipt time is not yet available for this payout method."
          }
      ]
  }
  ```

- Bad Request - Invalid Currency Value
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/payout_method_types?payout_currency=XYZ' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "INVALID_CURRENCY",
          "status": "ERROR",
          "message": "The request attempted an operation that requires a currency, but the value was missing or not recognized. The request was rejected. Corrective action: Use the correct 3-letter ISO 4217 code for the currency in uppercase letters.",
          "response_code": "INVALID_CURRENCY",
          "operation_id": "4223bceb-b107-4318-ac2b-ea1460d16f26"
      }
  }
  ```

- Bad Request - Invalid Beneficiary Country Value
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/payout_method_types?beneficiary_country=XZ' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "INVALID_COUNTRY",
          "status": "ERROR",
          "message": "The request attempted an operation that requires a country, but the value was missing or not recognized. The request was rejected. Corrective action: Use the correct 2-letter ISO 3166-1 ALPHA-2 code for the country, in uppercase letters.",
          "response_code": "INVALID_COUNTRY",
          "operation_id": "02481ce1-f1ca-4e4e-99d8-e68e22cb3260"
      }
  }
  ```
